# Ecuador

## Required fields

| Field                  | Format                                                                                                                                | Description                                                                                |
| ---------------------- | ------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| `login`                | String                                                                                                                                | Cashouts login                                                                             |
| `pass`                 | String                                                                                                                                | Cashouts pass                                                                              |
| `external_id`          | String (max length: 100)                                                                                                              | Transaction's ID on your end                                                               |
| `document_id`          | See [document validations](/specifications/countries-specifications.md#documents-validations)                                         | Beneficiary's document ID                                                                  |
| `country`              | `EC`                                                                                                                                  | See [country codes](/specifications/countries-specifications.md#countries-and-currencies)  |
| `currency`             | `USD`                                                                                                                                 | See [currency codes](/specifications/countries-specifications.md#countries-and-currencies) |
| `amount`               | Number with up to 2 decimals                                                                                                          | Cashout amount                                                                             |
| `bank_code`            | See [bank codes](/api-documentation/cashouts-api/countries-validations/american-countries/ecuador.md#bank-codes)                      | Code specifying the beneficiary's bank                                                     |
| `bank_account`         | See [validations below](/api-documentation/cashouts-api/countries-validations/american-countries/ecuador.md#bank-account-validations) | Beneficiary's bank account                                                                 |
| `account_type`         | See [account type codes](/api-documentation/cashouts-api/countries-validations/american-countries/ecuador.md#account-types)           | Beneficiary's bank account type                                                            |
| `beneficiary_name`     | String (max length: 100)                                                                                                              | Beneficiary's name                                                                         |
| `beneficiary_lastname` | String (max length: 100)                                                                                                              | Beneficiary's last name                                                                    |

## Bank Account Validations

| Bank name | Bank code | Format                           | Regex         | Example    |
| --------- | :-------: | -------------------------------- | ------------- | ---------- |
| All       |     -     | Numeric between 10 and 20 digits | `^\d{10,20}$` | 1234567890 |

## Account Types

The `account_type` is specified with only one character as described below.

| `account_type` | Description       |
| :------------: | ----------------- |
|     **`C`**    | Checkings account |
|     **`S`**    | Savings account   |

## Document Validations

[Click here](/specifications/countries-specifications.md#documents-validations) to check document types and validations.

## Example Request

```java
{
    "login": "xxxxxxxx",
    "pass": "xxxxxxxx",
    "external_id": "30000000001",
    "country": "EC",
    "currency": "USD",
    "amount": 100,
    "document_id": "0809283023",
    "bank_account": "56687456387234",
    "bank_code": "001",
    "account_type": "C",
    "beneficiary_name": "John",
    "beneficiary_lastname": "Smith",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

## Bank Codes

| Bank                                 | Code |
| ------------------------------------ | ---- |
| Banco Central del Ecuador            | 001  |
| Banco Pichincha C.A.                 | 010  |
| Banco de Guayaquil S.A               | 017  |
| Banco City Bank                      | 024  |
| Banco Machala                        | 025  |
| Banco de Loja                        | 029  |
| Banco del Pacifico                   | 030  |
| Banco Internacional                  | 032  |
| Banco Amazonas                       | 034  |
| Banco del Austro                     | 035  |
| Produbanco / Promerica               | 036  |
| Banco Bolivariano                    | 037  |
| Comercial de Manabi                  | 039  |
| Banco General Ruminahui S.A.         | 042  |
| Banco del Litoral S.A.               | 043  |
| Banco Solidario                      | 059  |
| Banco Procredit S.A.                 | 060  |
| Banco Capital                        | 061  |
| Banco Desarrollo de Los Pueblos S.A. | 065  |
| Banecuador B.P.                      | 066  |
| Banco Delbank S.A.                   | 201  |

{% hint style="info" %}
For the full and most up-to-date list of banks and its codes, please check the [Cashout Bank Code endpoint.](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandablue.com/api-documentation/cashouts-api/countries-validations/american-countries/ecuador.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
